#
# spec file for package radiusclient (Version 0.3.1)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         radiusclient
Obsoletes:    radiusc
Copyright:    see COPYRIGHT in doc
Group:        Utilities/Security
Provides:     radiusc
Autoreqprov:  on
Version:      0.3.1
Release:      206
Summary:      Radius client software
Source:       radiusclient-0.3.1.tar.bz2
Source1:      README.SuSE
Source2:      login.example
Patch:        radiusclient-0.3.1.dif
Patch1:       %{name}-%{version}-secfix.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Radius client provides some useful programs for doing authentication
and accounting via a (remote) radius server.

Authors:
--------
    Lars Fenneberg <lf@elemental.net>

SuSE series: n

%prep
%setup
%patch
%patch1 -p 1
cp %{S:1} .
cp %{S:2} login.radius

%build
%{?suse_update_config:%{suse_update_config -f}}
aclocal
automake -a
autoconf
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                                                 --prefix=/usr \
                                                 --sysconfdir=/etc \
                                                 --localstatedir=/var \
                                                 --enable-shadow \
                                                 --with-secure-path
make

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=$RPM_BUILD_ROOT" install
chmod 755 $RPM_BUILD_ROOT/usr/lib/libradiusclient.so.0*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc BUGS CHANGES COPYRIGHT README README.radexample doc/instop.html
%doc login.radius README.SuSE
%dir /etc/radiusclient
%config /etc/radiusclient/radiusclient.conf
%config /etc/radiusclient/dictionary
%config /etc/radiusclient/dictionary.ascend
%config /etc/radiusclient/dictionary.compat
%config /etc/radiusclient/dictionary.merit
%config(noreplace) /etc/radiusclient/issue
%config(noreplace) /etc/radiusclient/port-id-map
%config(noreplace) /etc/radiusclient/servers
/usr/include/radiusclient.h
/usr/lib/libradiusclient.so.0.0.1
/usr/lib/libradiusclient.so.0
/usr/lib/libradiusclient.so
/usr/lib/libradiusclient.a
/usr/sbin/radlogin
/usr/sbin/radstatus
/usr/sbin/radacct
/usr/sbin/radexample

%changelog -n radiusclient
* Wed Mar 20 2002 - postadal@suse.cz
- secfix (VU#589523 -buffer overflow in the function that calculates message digests)
* Wed Jun 06 2001 - cihlar@suse.cz
- fixed to compile with new libtool
* Mon Mar 26 2001 - cihlar@suse.cz
- moved whole files from dif
- fixed to compile
* Wed Nov 29 2000 - smid@suse.cz
- renamed: raduisc => radiusclient
* Wed May 24 2000 - cihlar@suse.cz
- fixed to compile
- added BuildRoot
* Sun Apr 09 2000 - bk@suse.de
- added suse update config macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jun 10 1999 - kukuk@suse.de
- Remove %%dir for doc tree
* Sun Mar 01 1998 - tmg@suse.de
- README.SuSE again
* Tue Feb 10 1998 - tmg@suse.de
- initial spec file
- fixed paths in radiusclient.conf
- login.example - simplistic example login.radius script
- README.SuSE
